/// <reference path="extensions/number.d.ts" />
/// <reference path="extensions/string.d.ts" />
import joi from 'joi';
declare module 'joi' {
    interface AnySchema {
        validate<T>(value: any, options?: joi.ValidationOptions): joi.ValidationResult<T>;
    }
}
export = joi;
